Billing
List the company's credit purchases
The authenticated company’s purchases of credits, newest first, one cursor page at a time. Reading changes nothing.
GET
/
api
/
settings
/
billing
/
credits
/
purchases
List the company's credit purchases
curl --request GET \
--url https://api.fluid.app/api/settings/billing/credits/purchases \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/settings/billing/credits/purchases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/settings/billing/credits/purchases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credit_purchases": [
{
"id": 7342,
"origin": "manual",
"status": "succeeded",
"instrument_type": "card",
"failure_message": null,
"amount_cents": 100000,
"bonus_percent": 10,
"bonus_cents": 10000,
"credit_cents": 110000,
"refunded_cents": 0,
"credits_expire_at": "2027-09-12T16:20:05Z",
"created_at": "2026-09-12T16:19:58Z",
"succeeded_at": "2026-09-12T16:20:05Z",
"failed_at": null
},
{
"id": 7128,
"origin": "auto_reload",
"status": "succeeded",
"instrument_type": "card",
"failure_message": null,
"amount_cents": 20000,
"bonus_percent": 0,
"bonus_cents": 0,
"credit_cents": 20000,
"refunded_cents": 0,
"credits_expire_at": "2027-09-03T08:11:42Z",
"created_at": "2026-09-03T08:11:40Z",
"succeeded_at": "2026-09-03T08:11:42Z",
"failed_at": null
}
],
"status": 200,
"meta": {
"request_id": "f3b8c2d1-6a4e-4f7b-9c1d-2e5a8b7c4d90",
"timestamp": "2026-09-30T14:05:11Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null
}
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>",
"error": "<string>",
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Query Parameters
The cursor of the page to read; left out is the newest page.
Purchases per page.
Required range:
1 <= x <= 100⌘I
List the company's credit purchases
